/meta
GET/meta
GET/metaGet service metadata, including model taxonomy and dimension information, along with attribution text.
Query Parameters
| Name | Type | Description |
|---|---|---|
area_version | string, enum | Specific area taxonomy version to use. Allowed: us_area_2024_4 and us_area_2025_1Default option : us_area_2025_1 |
new_taxonomy_versions | boolean, enum | Use new taxonomy versions. Allowed: true and falseDefault option: false |
lot_version | string, enum | Specify LOT taxonomy version to use. Allowed: 6 and 7Defaults option: 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/market-salary/meta \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": {
"attribution": {
"title": "Market Salary",
"body": "The Lightcast Market Salary API provides an interface to retrieve modeled salary percentiles for occupations or skills that can be filtered for further granularity."
},
"modelVersions": {
"marketSalary": "16"
},
"taxonomies": {
"area": "us_area_2025_1",
"lot": "7",
"naics": "naics_std_2022",
"onet": "onet_2019",
"skill": "9.30",
"soc": "soc_2021"
},
"taxonomyVersions": {
"area": [
"us_area_2025_1"
],
"lot": [
"6",
"7"
]
},
"dimensions": [
"soc",
"onet",
"lotocc",
"lotspecocc",
"skill"
]
}
}
